package com.dxhy.erp.entity.alltax;

import java.math.BigDecimal;

/**
 * @author futianhao
 */
public class SummarySaleTaxRateData {
    private String invoiceKindCode;

    private String invoiceType;

    private String taxRate;

    private BigDecimal taxAmountPt;

    private BigDecimal invoiceAmountPt;

    private BigDecimal totalAmountPt;

    private BigDecimal taxAmountPtVoid;

    private BigDecimal invoiceAmountPtVoid;

    private BigDecimal totalAmountPtVoid;

    private BigDecimal taxAmountNt;

    private BigDecimal invoiceAmountNt;

    private BigDecimal totalAmountNt;

    private BigDecimal taxAmountNtVoid;

    private BigDecimal invoiceAmountNtVoid;

    private BigDecimal totalAmountNtVoid;

    public String getInvoiceKindCode() {
        return invoiceKindCode;
    }

    public void setInvoiceKindCode(String invoiceKindCode) {
        this.invoiceKindCode = invoiceKindCode;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public BigDecimal getTaxAmountPt() {
        return taxAmountPt;
    }

    public void setTaxAmountPt(BigDecimal taxAmountPt) {
        this.taxAmountPt = taxAmountPt;
    }

    public BigDecimal getInvoiceAmountPt() {
        return invoiceAmountPt;
    }

    public void setInvoiceAmountPt(BigDecimal invoiceAmountPt) {
        this.invoiceAmountPt = invoiceAmountPt;
    }

    public BigDecimal getTotalAmountPt() {
        return totalAmountPt;
    }

    public void setTotalAmountPt(BigDecimal totalAmountPt) {
        this.totalAmountPt = totalAmountPt;
    }

    public BigDecimal getTaxAmountPtVoid() {
        return taxAmountPtVoid;
    }

    public void setTaxAmountPtVoid(BigDecimal taxAmountPtVoid) {
        this.taxAmountPtVoid = taxAmountPtVoid;
    }

    public BigDecimal getInvoiceAmountPtVoid() {
        return invoiceAmountPtVoid;
    }

    public void setInvoiceAmountPtVoid(BigDecimal invoiceAmountPtVoid) {
        this.invoiceAmountPtVoid = invoiceAmountPtVoid;
    }

    public BigDecimal getTotalAmountPtVoid() {
        return totalAmountPtVoid;
    }

    public void setTotalAmountPtVoid(BigDecimal totalAmountPtVoid) {
        this.totalAmountPtVoid = totalAmountPtVoid;
    }

    public BigDecimal getTaxAmountNt() {
        return taxAmountNt;
    }

    public void setTaxAmountNt(BigDecimal taxAmountNt) {
        this.taxAmountNt = taxAmountNt;
    }

    public BigDecimal getInvoiceAmountNt() {
        return invoiceAmountNt;
    }

    public void setInvoiceAmountNt(BigDecimal invoiceAmountNt) {
        this.invoiceAmountNt = invoiceAmountNt;
    }

    public BigDecimal getTotalAmountNt() {
        return totalAmountNt;
    }

    public void setTotalAmountNt(BigDecimal totalAmountNt) {
        this.totalAmountNt = totalAmountNt;
    }

    public BigDecimal getTaxAmountNtVoid() {
        return taxAmountNtVoid;
    }

    public void setTaxAmountNtVoid(BigDecimal taxAmountNtVoid) {
        this.taxAmountNtVoid = taxAmountNtVoid;
    }

    public BigDecimal getInvoiceAmountNtVoid() {
        return invoiceAmountNtVoid;
    }

    public void setInvoiceAmountNtVoid(BigDecimal invoiceAmountNtVoid) {
        this.invoiceAmountNtVoid = invoiceAmountNtVoid;
    }

    public BigDecimal getTotalAmountNtVoid() {
        return totalAmountNtVoid;
    }

    public void setTotalAmountNtVoid(BigDecimal totalAmountNtVoid) {
        this.totalAmountNtVoid = totalAmountNtVoid;
    }
}
